## GogOutlinedView

GogOutlinedView — Base class for all objects displayed in a frame

## Synopsis

                        GogOutlinedObject;
    typedef             GogOutlinedObjectClass;
    #define             GOG_OUTLINED_OBJECT_TYPE
    #define             GOG_OUTLINED_OBJECT                 (o)
    #define             IS_GOG_OUTLINED_OBJECT              (o)
    GType               gog_outlined_object_get_type        (void);
    double              gog_outlined_object_get_pad         (GogOutlinedObject const *goo);
    typedef             GogOutlinedView;
    #define             GOG_OUTLINED_VIEW_TYPE
    #define             GOG_OUTLINED_VIEW                   (o)
    #define             IS_GOG_OUTLINED_VIEW                (o)
    #define             GOG_OUTLINED_VIEW_GET_CLASS         (o)
    GType               gog_outlined_view_get_type          (void);

## Object Hierarchy

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogOutlinedObject
                         +----GogGraph
                         +----GogChart
                         +----GogText
                         +----GogLegend

      GObject
       +----GogView
             +----GogOutlinedView
                   +----GogGraphView

## Properties

      "padding-pts"              gdouble               : Read / Write

## Description

## Details

### GogOutlinedObject

    typedef struct _GogOutlinedObject GogOutlinedObject;

### GogOutlinedObjectClass

    typedef	GogStyledObjectClass GogOutlinedObjectClass;

### GOG_OUTLINED_OBJECT_TYPE

    #define GOG_OUTLINED_OBJECT_TYPE  (gog_outlined_object_get_type ())

### GOG_OUTLINED_OBJECT()

    #define GOG_OUTLINED_OBJECT(o)	  (G_TYPE_CHECK_INSTANCE_CAST ((o), GOG_OUTLINED_OBJECT_TYPE, GogOutlinedObject))

`o` : |

### IS_GOG_OUTLINED_OBJECT()

    #define IS_GOG_OUTLINED_OBJECT(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), GOG_OUTLINED_OBJECT_TYPE))

`o` : |

### gog_outlined_object_get_type ()

    GType               gog_outlined_object_get_type        (void);

Returns : |

### gog_outlined_object_get_pad ()

    double              gog_outlined_object_get_pad         (GogOutlinedObject const *goo);

`goo` : |
Returns : |

### GogOutlinedView

    typedef GogView		GogOutlinedView;

### GOG_OUTLINED_VIEW_TYPE

    #define GOG_OUTLINED_VIEW_TYPE  	(gog_outlined_view_get_type ())

### GOG_OUTLINED_VIEW()

    #define GOG_OUTLINED_VIEW(o)		(G_TYPE_CHECK_INSTANCE_CAST ((o), GOG_OUTLINED_VIEW_TYPE, GogOutlinedView))

`o` : |

### IS_GOG_OUTLINED_VIEW()

    #define IS_GOG_OUTLINED_VIEW(o) 	(G_TYPE_CHECK_INSTANCE_TYPE ((o), GOG_OUTLINED_VIEW_TYPE))

`o` : |

### GOG_OUTLINED_VIEW_GET_CLASS()

    #define GOG_OUTLINED_VIEW_GET_CLASS(o)	(G_TYPE_INSTANCE_GET_CLASS ((o), GOG_OUTLINED_VIEW_TYPE, GogOutlinedViewClass))

`o` : |

### gog_outlined_view_get_type ()

    GType               gog_outlined_view_get_type          (void);

Returns : |

## Property Details

### The `"padding-pts"` property

      "padding-pts"              gdouble               : Read / Write

Number of pts separating charts in the grid.

Allowed values: >= 0

Default value: 0